Creates a new location object
Request Information
URI Parameters :
None.
Body Parameters :
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Request Formats :
application/json, text/json
{
"id": "3836e69b-b089-4c53-95c1-4806fe2c9b9a",
"_parent_id": "226da495-6d13-4017-b598-cd57dbfa41d1",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "895647b1-678f-4442-aad4-987429e12deb",
"company_id": "3f69d0c1-2a52-41cf-b44b-e33df5510d40",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "2a0ccd8d-423b-4600-aa4e-9acd2d535622",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "e528a029-a7ed-47ae-a772-131eafdded6e",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "58656382-05c6-41b8-a95a-328cb2d0b755",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "295de652-abb9-4434-9555-196a25830abc",
"company_code": "sample string 5",
"company": {
"id": "12701580-c55c-492d-a5e2-48f9d912308d",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-28T21:48:20.2100427+00:00",
"sales_territory_id": "10774154-fa30-4fa4-beff-19abc9f48b92",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "f0aca51b-7217-44a3-a2fc-4ee0d547a991",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "baff3e28-18f2-407d-a8a7-f01b2e778cb0",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "2b4973ce-2df5-4b9c-bcef-310cddc9d1fc",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7da4cacd-0564-4dbe-bb2e-afeaa86db3fe",
"db_currency_id": "7a3caea9-cf7a-4324-8411-b80e3ba98b06",
"db_language_id": "b4d56b67-d81f-4c79-8fc6-d16c045a7560",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:20.2100427+00:00"
},
"modified_dateutc": "2026-10-28T21:48:20.2100427+00:00"
},
"marketing_segment_id": "7042831a-1b42-45fe-a026-e81b2034cf92",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "d9e94e77-8784-44f4-8709-01ad8084b814",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "10f7b46a-74b4-4281-92bb-12a727cae2f7",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "7d8c2e56-a62f-43eb-8650-31a1755c13a6",
"db_country_code": "sample string 28",
"feelist_id": "d9cab303-8b01-44af-a71f-5fd7beea4139",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "8fd26a54-c594-4759-afc0-4b6490908a4a",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "ce802ab6-18ff-47ce-bc38-a0a441878040",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-28T21:48:20.2100427+00:00",
"db_currency_id": "ebdc72a0-fa73-401c-b5f5-6cc162d78962",
"db_currency_code": "sample string 10"
},
"company_type_id": "b5a92fbb-bfe4-44e5-990a-1cb6f2e802eb",
"company_type_name": "sample string 32",
"company_type": {
"id": "e3fdd08b-e894-4299-bd8f-07c69a1bd3f2",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "aa7e6911-8413-42ef-a510-e4a36a7ab0fc",
"sales_organization_code": "sample string 5"
},
"db_language_id": "d1dd8674-9779-4617-8600-6d987514ba2f",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "4fde3dc9-bee1-4010-b92d-6c0c5336bfb9",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "2d46c15a-28fc-4ad6-8a81-2ceb84e7230c",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "26b1138f-585e-4101-a485-502654fc536c",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-28T21:48:20.2100427+00:00"
},
"company_sector_id": "9c022e35-5851-46c7-9248-7e36aec77f86",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "2b399201-e432-4f1d-9acf-08b6210d3572",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "8a23266d-6d7e-4bf3-8504-5b2d8cd3aded",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "b5ae5072-3733-4171-8468-649fde8fe47b",
"account_manager_user_code": "sample string 56",
"company_status_id": "69003a08-d5cf-4b6b-bd22-1b31b30be58e",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-28T21:48:20.2100427+00:00",
"id2": 60
},
"db_language_id": "e40378d3-77a9-4836-bfff-5c49512eb9fb",
"db_language_code": "sample string 7",
"db_title_id": "ff2d4b21-4ecb-47ee-97d2-c0a51e616f08",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-28T21:48:20.2100427+00:00",
"create_date": "2026-10-28T21:48:20.2100427+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-28T21:48:20.2100427+00:00"
},
"modified_dateutc": "2026-10-28T21:48:20.2100427+00:00",
"id2": 22
}
Response Information
Resource Description :
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Response Formats
application/json, text/json
{
"id": "ed375008-8b71-457e-a91c-e1d9731ab30e",
"_parent_id": "17cc9121-a429-4656-ae2d-ae634d194796",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "32511b34-e1da-434f-9c75-40b369cc3ee6",
"company_id": "3028c4cf-1985-418c-a52a-72f35b4ba1f8",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "a2db986d-a1c5-4497-ab48-f364b212e6fb",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "366c4c4c-6fa9-4062-9cc8-f7d31a323ed7",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "3c33b70b-a27e-45e7-9c91-c409a298d540",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "55cb7e9f-dacb-4e5d-95d4-baa7956bc5d2",
"company_code": "sample string 5",
"company": {
"id": "92c001cd-3526-464d-bb29-8810ecd007b8",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-28T21:48:20.3194166+00:00",
"sales_territory_id": "f11912f9-e64b-4f2e-a84e-5fd31cc68b57",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "e34336e7-278c-4e42-b189-b784d81a55ac",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "4d88c47e-5c21-4c88-b72c-0d271bbc6bb8",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "85fa0a4d-28c3-4431-895b-03b8f07785a4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "0c9a8ef8-3454-433f-b928-9e284db4402b",
"db_currency_id": "ed30f3ac-a996-40f3-b085-aaafa2d6a57a",
"db_language_id": "120df3df-9a73-41f3-b7dd-b3b44e01e3b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:20.3194166+00:00"
},
"modified_dateutc": "2026-10-28T21:48:20.3194166+00:00"
},
"marketing_segment_id": "d5e372e1-9b4d-4ed6-94f8-76e9da2d7750",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "34199531-820b-4c2f-a8b1-732f266dd5b5",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "6328019b-ff4d-4b6c-a18b-909fe88f3884",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "ffe6ca82-ed79-494b-a547-c8daed10d619",
"db_country_code": "sample string 28",
"feelist_id": "03d975de-74d2-45bd-8f88-b06b06de6d95",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "9b36ced1-b5a3-46bd-82d2-73bf5999e2ba",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "fa841e95-f3c1-432d-b78b-d9830ba427ac",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-28T21:48:20.3194166+00:00",
"db_currency_id": "27a8c83f-aa4f-4525-85cf-ef463e6ef992",
"db_currency_code": "sample string 10"
},
"company_type_id": "f7768752-1ee5-4843-9ea6-bc5aa400088e",
"company_type_name": "sample string 32",
"company_type": {
"id": "ab7c6fe3-d48b-46e2-b400-a24c1dacc065",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "b23994d0-86a1-4694-8116-89b20a8d7605",
"sales_organization_code": "sample string 5"
},
"db_language_id": "defe396b-b345-466c-b237-425821f06581",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "15ac6487-53c2-4301-99c3-c39616355030",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "a6739ed1-7cea-4137-8816-be9568f933c5",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "767f1311-c254-4a64-b1e5-d903306f8b73",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-28T21:48:20.3194166+00:00"
},
"company_sector_id": "a5f5d08a-d7f9-4c76-b37a-802b628ec167",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "61efce59-0a3b-4542-afa0-47df71857aa6",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "3f94d467-48ce-494e-b778-166ca4263692",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "ea1924ae-f326-4479-8dfc-2fd7ee221929",
"account_manager_user_code": "sample string 56",
"company_status_id": "a5837a31-8048-4afb-bebc-b4d6bb610d80",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-28T21:48:20.3194166+00:00",
"id2": 60
},
"db_language_id": "ce8b2a32-0a6d-4a11-ac32-f91bdf24f354",
"db_language_code": "sample string 7",
"db_title_id": "3f0ba0f6-09ad-42e0-8ae7-18eab9fa651b",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-28T21:48:20.3194166+00:00",
"create_date": "2026-10-28T21:48:20.3194166+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-28T21:48:20.3194166+00:00"
},
"modified_dateutc": "2026-10-28T21:48:20.3194166+00:00",
"id2": 22
}